package org.rcisoft.business.opmArticle.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.util.List;

/**
* Created with cy on 2024年3月30日 下午1:51:15.
*/
@Data
@TableName("opm_article")
public class OpmArticle extends CyIdIncreEntity<OpmArticle> {


     /**
     * @desc 内容
     * @column content
     * @default
     */
     private String content;

     /**
     * @desc 评论数
     * @column comment_count
     * @default
     */
     private Integer commentCount;

     /**
      * @desc 点赞数
      * @column like_count
      * @default
      */
     private Integer likeCount;

     /**
      * @desc 审核状态
      * @column exam_status
      * @default
      */
     private String examStatus;

     /**
      * @desc 是否动态
      * @column is_article
      * @default
      */
     private String isArticle;

     /**
      * @desc 话题Id
      * @column topic_id
      * @default
      */
     private Integer topicId;

     /**
      * @desc 图片Id
      * @column picture_id
      * @default
      */
     private String pictureId;

     /**
      *
      * 动态图片，以逗号分割
      *
      */
     @TableField(exist = false)
     String url;

     /**
      * 话题名称
      */
     @TableField(exist = false)
     private String topic;

     /**
      * 会员号
      */
     @TableField(exist = false)
     private String memCode;

     /**
      * 会员昵称
      */
     @TableField(exist = false)
     private String memNickName;

     /**
      * 会员性别
      */
     @TableField(exist = false)
     private String memSex;

     /**
      * 会员头像url
      */
     @TableField(exist = false)
     private String memAvatar;

     /**
      * 会员头像Id
      */
     @TableField(exist = false)
     private Integer avatarId;

     /**
      * 会员生日
      */
     @TableField(exist = false)
     private String memBirthday;

     /**
      * 会员居住地省份
      */
     @TableField(exist = false)
     private String memResidenceProvince;

     /**
      * 会员居住地城市
      */
     @TableField(exist = false)
     private String memResidenceCity;

     /**
      * 教育经历
      */
     @TableField(exist = false)
     private String memMaxEducation;

     /**
      * 职业
      */
     @TableField(exist = false)
     private String memCareer;

     /**
      * 开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
      * 结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     /**
      * 评论列表
      */
     @TableField(exist = false)
     List<ArticleCommentVO> articleCommentVOList;


     /**
      * 是否点赞
      */
     @TableField(exist = false)
     private String isLike;

     /**
      * 用户ID
      */
     @TableField(exist = false)
     private String userId;

     /**
      * 会员ID
      */
     @TableField(exist = false)
     private String memberId;

     /**
      * 当前登录人ID
      */
     @TableField(exist = false)
     private String loginUserId;

     /**
      * 评论内容
      */
     @TableField(exist = false)
     private String commentContent;

     /**
      * 动态ID
      */
     @TableField(exist = false)
     private Integer articleId;

     /**
      * 评论父级ID
      */
     @TableField(exist = false)
     private Integer parentId;
}

